GPU package issue on Windows

Hi all,
When trying to run script, that uses gpu versions of potentials, I receive this error: “unable to initialize accelerator for use”.

I use such command:
lmp_serial -sf gpu -in Cluster_minimization.in

Lammps version is 19 Sep 2019, I use pre-build Windows 64 executable.

ocl_get_devices.exe sees the device.

Thanks in advance for any help.

Hi all,
When trying to run script, that uses gpu versions of potentials, I receive this error: “unable to initialize accelerator for use”.

I use such command:
lmp_serial -sf gpu -in Cluster_minimization.in

Lammps version is 19 Sep 2019, I use pre-build Windows 64 executable.

ocl_get_devices.exe sees the device.

without actually seeing the complete output of this command, it is difficult to make any specific commands.

if you look through recent discussions in the mailing list archives, you should see, that GPU support on windows is currently quite “shaky” due to changes outside of LAMMPS and it won’t be easily resolved since none of the core LAMMPS developers currently has the means, time and interest to debug and improve this. The windows binaries are created on Linux machines and provided on a no success is guaranteed basis. if you are serious about using the GPU for serious computations, it is recommended to convert the machine to a (dual-boot?) Linux server.

Axel.